import SubmissionInput from '@/components/content-blocks/assignment/SubmissionInput.vue';

describe('SubmissionInput', () => {
  it('renders', () => {
    cy.mount(SubmissionInput, {
      props: {
        inputText: undefined,
        saved: true,
        readonly: false,
        placeholder: 'Placeholder',
      },
    });
    cy.getByDataCy('submission-textarea')
      .should('have.attr', 'placeholder', 'Placeholder')
      .type('Hallo Velo')
      .should('have.value', 'Hallo Velo');
  });
});
